Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.NameEditorDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.apps.svgbrowser.NodePickerPanel.NameEditorDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants, ActionMap

Enclosing class:
  NodePickerPanel

    public static class NodePickerPanel.NameEditorDialog

extends JDialog
implements ActionMap

Dialog for choosing element name.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `NodePickerPanel.NameEditorDialog.CancelButtonAction` The action associated with the 'Cancel' button of Attribute Adder Dialog
`protected class` | `NodePickerPanel.NameEditorDialog.OKButtonAction` The action associated with the 'OK' button of Attribute Adder Dialog

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected static ResourceBundle` | `bundle` The resource bundle.
`protected ButtonFactory` | `buttonFactory` The Button factory.
`static int` | `CANCEL_OPTION` The return value if 'Cancel' is chosen.
`protected JButton` | `cancelButton` The Cancel button.
`protected Map` | `listeners` The map that contains the listeners
`protected JPanel` | `mainPanel` The Dialog main panel.
`protected JTextField` | `nodeNameField` The node name field.
`protected JLabel` | `nodeNameLabel` The node name label.
`static int` | `OK_OPTION` The return value if 'OK' is chosen.
`protected JButton` | `okButton` The OK button.
`protected static ResourceManager` | `resources` The resource manager.
`protected static String` | `RESOURCES` The resource file name.
`protected int` | `returnCode` The Dialog results.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NodePickerPanel.NameEditorDialog(Frame frame)` Constructor.

Method Summary
`protected void` | `addButtonActions()` Adds button actions.
`Action` | `getAction(String key)` Returns the action associated with the given string or null on error
`protected ButtonFactory` | `getButtonFactory()` Gets buttonFactory.
`protected JButton` | `getCancelButton()` Gets the Cancel button.
`protected JPanel` | `getMainPanel()` Gets dialog's main panel.
`protected JTextField` | `getNodeNameField()` Gets the text field for node name.
`JLabel` | `getNodeNameLabel()` Gets the node name label.
`protected JButton` | `getOkButton()` Gets the Ok button.
`String` | `getResults()` Gets the dialog results.
`protected void` | `initialize()` Initializes the dialog.
`int` | `showDialog()` Shows the dialog.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK_OPTION

    public static final int OK_OPTION

  The return value if 'OK' is chosen.

  See Also:
    Constant Field Values

### CANCEL_OPTION

    public static final int CANCEL_OPTION

  The return value if 'Cancel' is chosen.

  See Also:
    Constant Field Values

### RESOURCES

    protected static final String RESOURCES

  The resource file name.

  See Also:
    Constant Field Values

### bundle

    protected static ResourceBundle bundle

  The resource bundle.

### resources

    protected static ResourceManager resources

  The resource manager.

### returnCode

    protected int returnCode

  The Dialog results.

### mainPanel

    protected JPanel mainPanel

  The Dialog main panel.

### buttonFactory

    protected ButtonFactory buttonFactory

  The Button factory.

### nodeNameLabel

    protected JLabel nodeNameLabel

  The node name label.

### nodeNameField

    protected JTextField nodeNameField

  The node name field.

### okButton

    protected JButton okButton

  The OK button.

### cancelButton

    protected JButton cancelButton

  The Cancel button.

### listeners

    protected Map listeners

  The map that contains the listeners

Constructor Detail

### NodePickerPanel.NameEditorDialog

    public NodePickerPanel.NameEditorDialog(Frame frame)

  Constructor.

  Parameters:
    `frame` - Parent frame

Method Detail

### initialize

    protected void initialize()

  Initializes the dialog.

### getButtonFactory

    protected ButtonFactory getButtonFactory()

  Gets buttonFactory.

### addButtonActions

    protected void addButtonActions()

  Adds button actions.

### showDialog

    public int showDialog()

  Shows the dialog.

  Returns:
    OK_OPTION or CANCEL_OPTION.

### getOkButton

    protected JButton getOkButton()

  Gets the Ok button.

  Returns:
    the okButton

### getCancelButton

    protected JButton getCancelButton()

  Gets the Cancel button.

  Returns:
    the cancelButton

### getMainPanel

    protected JPanel getMainPanel()

  Gets dialog's main panel.

  Returns:
    the mainPanel

### getNodeNameLabel

    public JLabel getNodeNameLabel()

  Gets the node name label.

  Returns:
    the nodeNameLabel

### getNodeNameField

    protected JTextField getNodeNameField()

  Gets the text field for node name.

  Returns:
    the nodeNameField

### getResults

    public String getResults()

  Gets the dialog results.

  Returns:
    the element name

### getAction

    public Action getAction(String key)
                     throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.